Index: src/backend/commands/prepare.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/commands/prepare.c,v
retrieving revision 1.25
diff -c -r1.25 prepare.c
*** src/backend/commands/prepare.c	7 Jan 2004 18:56:25 -0000	1.25
--- src/backend/commands/prepare.c	18 Apr 2004 08:15:59 -0000
***************
*** 106,112 ****
   * Implements the 'EXECUTE' utility statement.
   */
  void
! ExecuteQuery(ExecuteStmt *stmt, DestReceiver *dest)
  {
  	PreparedStatement *entry;
  	char	   *query_string;
--- 106,112 ----
   * Implements the 'EXECUTE' utility statement.
   */
  void
! ExecuteQuery(ExecuteStmt *stmt, DestReceiver *dest, char *completionTag)
  {
  	PreparedStatement *entry;
  	char	   *query_string;
***************
*** 188,194 ****
  	 */
  	PortalStart(portal, paramLI);
  
! 	(void) PortalRun(portal, FETCH_ALL, dest, dest, NULL);
  
  	PortalDrop(portal, false);
  
--- 188,194 ----
  	 */
  	PortalStart(portal, paramLI);
  
! 	(void) PortalRun(portal, FETCH_ALL, dest, dest, completionTag);
  
  	PortalDrop(portal, false);
  
Index: src/backend/tcop/utility.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/tcop/utility.c,v
retrieving revision 1.211
diff -c -r1.211 utility.c
*** src/backend/tcop/utility.c	23 Mar 2004 19:35:17 -0000	1.211
--- src/backend/tcop/utility.c	18 Apr 2004 08:16:00 -0000
***************
*** 486,492 ****
  			break;
  
  		case T_ExecuteStmt:
! 			ExecuteQuery((ExecuteStmt *) parsetree, dest);
  			break;
  
  		case T_DeallocateStmt:
--- 486,492 ----
  			break;
  
  		case T_ExecuteStmt:
! 			ExecuteQuery((ExecuteStmt *) parsetree, dest, completionTag);
  			break;
  
  		case T_DeallocateStmt:
Index: src/include/commands/prepare.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/commands/prepare.h,v
retrieving revision 1.9
diff -c -r1.9 prepare.h
*** src/include/commands/prepare.h	29 Nov 2003 22:40:59 -0000	1.9
--- src/include/commands/prepare.h	18 Apr 2004 08:16:00 -0000
***************
*** 42,48 ****
  
  /* Utility statements PREPARE, EXECUTE, DEALLOCATE, EXPLAIN EXECUTE */
  extern void PrepareQuery(PrepareStmt *stmt);
! extern void ExecuteQuery(ExecuteStmt *stmt, DestReceiver *dest);
  extern void DeallocateQuery(DeallocateStmt *stmt);
  extern void ExplainExecuteQuery(ExplainStmt *stmt, TupOutputState *tstate);
  
--- 42,49 ----
  
  /* Utility statements PREPARE, EXECUTE, DEALLOCATE, EXPLAIN EXECUTE */
  extern void PrepareQuery(PrepareStmt *stmt);
! extern void ExecuteQuery(ExecuteStmt *stmt, DestReceiver *dest,
! 					   char *completionTag);
  extern void DeallocateQuery(DeallocateStmt *stmt);
  extern void ExplainExecuteQuery(ExplainStmt *stmt, TupOutputState *tstate);
  
